Package org.eclipse.birt.report.engine.api

# Class DataExtractionFormatInfo

java.lang.Object
org.eclipse.birt.report.engine.api.DataExtractionFormatInfo

public class DataExtractionFormatInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`DataExtractionFormatInfo(String id, String format, String mimeType, String name, Boolean isHidden, org.eclipse.birt.core.framework.IConfigurationElement dataExtractionExtension)`
Constructor of the class DataExtractionFormatInfo.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.core.framework.IConfigurationElement`
`getDataExtractionExtension()`
Get configuration element of data extraction extension.
`String`
`getFormat()`
Get extraction format of the output file.
`String`
`getId()`
Get data extraction extension id.
`String`
`getMimeType()`
Get mime type of the output file.
`String`
`getName()`
Get data extraction extension name.
`Boolean`
`isHidden()`
Get whether format could be shown

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataExtractionFormatInfo

public DataExtractionFormatInfo(String id, String format, String mimeType, String name, Boolean isHidden, org.eclipse.birt.core.framework.IConfigurationElement dataExtractionExtension)
Constructor of the class DataExtractionFormatInfo.

Parameters:
  `id` -
  `format` -
  `mimeType` -
  `name` -
  `dataExtractionExtension` -

## Method Details

### getFormat

public String getFormat()
Get extraction format of the output file.

Returns:
  format

### getId

public String getId()
Get data extraction extension id.

Returns:
  id

### getMimeType

public String getMimeType()
Get mime type of the output file.

Returns:
  mimeType

### getName

public String getName()
Get data extraction extension name.

Returns:
  name

### getDataExtractionExtension

public org.eclipse.birt.core.framework.IConfigurationElement getDataExtractionExtension()
Get configuration element of data extraction extension.

Returns:
  dataExtractionExtension

### isHidden

public Boolean isHidden()
Get whether format could be shown

Returns:
  hideFormat